package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.MsgTemplateMapper;
import com.sa.ibiz.demo.demo.domain.MsgTemplate;
import com.sa.ibiz.demo.demo.service.MsgTemplateService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.MsgTemplateSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[MsgTemplate] 服务对象接口实现
 */
@Service
public class MsgTemplateServiceImpl extends ServiceImplBase<MsgTemplateMapper, MsgTemplate> implements MsgTemplateService{

    @Autowired
    private DataEntityService deService;

    @Resource
    private MsgTemplateMapper msgtemplateMapper;


    @Override
    public boolean create(MsgTemplate et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(MsgTemplate et){
        this.beforeUpdate(et);
		this.msgtemplateMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(MsgTemplate et){
		return et.getMsgtemplateid();  
    }

    @Override
    public boolean getDraft(MsgTemplate et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<MsgTemplate> listDefault(MsgTemplateSearchFilter filter) {
		return msgtemplateMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<MsgTemplate> searchDefault(MsgTemplateSearchFilter filter) {
		return msgtemplateMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return msgtemplateMapper.selectRow(sql);
    }

 }